Skip to main content
Resource Center/Resource Pool/Snapshot Group Operations
GETSnapshot Group OperationsSince 4.4.24SynchronousAuth Required

GetMemorySnapshotGroupReference

GetMemorySnapshotGroupReference

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • resourceUuidStringRequired

    The resource UUID.

  • resourceTypeStringRequired

    The resource type.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/memory-snapshots/group/reference

/zstack/v1/memory-snapshots/group/reference

Operation ID

GetMemorySnapshotGroupReference

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/memory-snapshots/group/reference?resourceUuid=<resourceUuid>&resourceType=<resourceType>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "22f6a9534922339f95c15db177ac2c75", "snapshotCount": 1.0, "name": "group", "vmInstanceUuid": "e5c0251850be3ffe85db33e7ecf12b75", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "volumeSnapshotRefs": [ { "volumeSnapshotUuid": "bfb9af2450753ac292c46c3afcadd7a6", "volumeSnapshotGroupUuid": "22f6a9534922339f95c15db177ac2c75", "deviceId": 0.0, "snapshotDeleted": false, "volumeUuid": "976ab88982753cc8951efd915b76573f", "volumeName": "ROOT-volume", "volumeType": "Root", "volumeSnapshotInstallPath": "/zstack_ps/to/path/snap.qcow2", "volumeSnapshotName": "group-ROOT-volume", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ], "resourceUuid": "c8a0949c175c380db27cc5c78e8d01f7" }

Change History

This API has no change history records yet.

View all change history